Использование Google CDN

Дата публикации:Февраль 8, 2011

В некоторых случаях регистрация библиотеки jQuery и привязка ее копии к WordPress оказываются неприемлимыми для разработчика. Решением возникшей проблемы выступает загрузка jQuery из Google CDN (Code Distribution Network). CDN позволяет сохранить пропускную способность канала, вследствие чего сайт получает возможность производить параллельную обработку данных во время загрузки дополнительных скриптов. Вдобавок ко всему, разработчик всегда может получить из CDN самую последнюю версию jQuery. Среди других преимуществ Google CDN стоит отметить быструю загрузку библиотеки jQuery и возможность ее кэширования, т.е. если пользователь ранее заходил на сайт, который использует аналогичный способ загрузки jQuery, ему не придется вновь подгружать данную библиотеку, т.к. она будет храниться в кэше.

Регистрация и подключение библиотеки jQuery через CDN Google

Для того чтобы подключить jQuery через CDN Google, необходимо убедиться в том, что библиотека изначально не зарегистрирована в теме, после чего можно проводить регистрацию jQuery в CDN. Делается это довольно просто посредством функции wp_enqueue_script. Если какой-либо плагин или сценарий требует для своего выполнения jQuery и не конфликтует с версией библиотеки, загруженной из Google, то эта версия jQuery будет использована в процессе выполнения скрипта. Если же скрипт зависит от какой-либо конкретной версии библиотеки jQuery (скажем, 1.3.2 или 1.2.6), а в CDN загружена версия 1.4.2, то в таком случае для скрипта будет загружена необходимая версия. Поскольку каждый скрипт, загруженный через Script API, остается в режиме noConflict, нормальным считается обладать двумя версиями jQuery, используемыми по мере необходимости.

...
wp_deregister_script( 'jquery' );
wp_register_script(   'jquery', 'http://ajax.googleapis.com/ajax/libs/
jquery/1.4/jquery.min.js');
...

Google предлагает удобную систему управления версиями, позволяющую отыскать именно ту версию библиотеки, которая вам необходима, либо воспользоваться последней стабильной версией.

Функционирование системы управления версиями

В примере, приведенном выше, я ввел фрагмент «…jquery/1.4/jquery…» для определения необходимой мне версии библиотеки jQuery. Поскольку последней стабильной версией jQuery на момент написания статьи являлась 1.4.2, то она была бы автоматически загружена к моей теме. Если бы разработчики выпустили версию 1.4.3, то она стала бы вызываться по расположенной в примере ссылке, поскольку я определил версию с точностью до двух первых цифр. Аналогично, если бы я ввел строку «…jquery/1.3/jquery…», то система управления версиями произвела бы загрузку последней существующей версии jQuery вида 1.3.x, а именно 1.3.2. Если же указать «…jquery/1/…», то система загрузит последнюю существующую на данный момент версию библиотеки вида 1.x.

Использование системы управления версиями открывает перед разработчиком возможность загрузки самой последней версии библиотеки, однако это чревато появлением различных ошибок, связанных с функционированием плагинов и сценариев. Для того чтобы обезопасить себя, достаточно определить и установить ту версию jQuery, в которой плагины и сценарии будут работать стабильно.

Поделиться

Оставить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Получать новые комментарии по электронной почте. Вы можете подписаться без комментирования.